← OBPv7.0.0 Get My Api Product Subscription GET /obp/v7.0.0/my/api-product-subscriptions/API_PRODUCT_SUBSCRIPTION_ID OBPv7.0.0-getMyApiProductSubscription No role required APIApi-Product-Subscription Get one Api Product Subscription of a Consumer the current User created, with its attributes. No Role is required. A subscription of a Consumer the User did not create is reported as not found. See here. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: API_PRODUCT_SUBSCRIPTION_ID: API_PRODUCT_SUBSCRIPTION_ID JSON response body fields (16) api_product_code api_product_codeapi_product_subscription_attribute_id api_product_subscription_attribute_idapi_product_subscription_id api_product_subscription_idbank_id gh.29.ukconsumer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcreated_at created_atcreated_by_user_id name ACCOUNT_MANAGEMENT_FEEstart_date 2020-01-27status type updated_at updated_atvalue 5987953attributes attribute value in form of (name, value)is_active falserate_limiting_id rate_limiting_id Example success response { "api_product_subscription_id": "api-product-subscription-id-123", "bank_id": "gh.29.uk", "api_product_code": "1234BW", "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "status": "active", "start_date": "1100-01-01T00:00:00Z", "created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "rate_limiting_id": "rate-limiting-id-123", "created_at": "1100-01-01T00:00:00Z", "updated_at": "1100-01-01T00:00:00Z", "attributes": [ { "api_product_subscription_id": "api-product-subscription-id-123", "api_product_subscription_attribute_id": "api-product-subscription-attribute-id-123", "name": "STRIPE_SUBSCRIPTION_ID", "type": "STRING", "value": "sub_1234567890", "is_active": true } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-30560: ApiProductSubscription not found. Please specify a valid value for API_PRODUCT_SUBSCRIPTION_ID.OBP-50000: Unknown Error.